window.Gleam.initSearch([{"doc":"ordered_dict","title":"ordered_dict","content":"# ordered_dict\n\n[![Package Version](https://img.shields.io/hexpm/v/ordered_dict)](https://hex.pm/packages/ordered_dict)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/ordered_dict/)\n\n```sh\ngleam add ordered_dict@1\n```\n```gleam\nimport ordered_dict\n\npub fn main() {\n  // TODO: An example of the project in use\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/ordered_dict&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"ordered_dict","title":"OrderedDict","content":"pub opaque type OrderedDict(k, v)\n\n\nSynonyms:\nordered_dict.OrderedDict\nordered_dict OrderedDict","url":"ordered_dict.html#OrderedDict"},{"doc":"ordered_dict","title":"Upsert","content":"pub type Upsert(k, v) {\n  Update(value: v, update: fn(v) -&gt; OrderedDict(k, v))\n  Insert(insert: fn(UpsertIndex, v) -&gt; OrderedDict(k, v))\n}\n\nUpdate(value: v, update: fn(v) -&gt; OrderedDict(k, v))\n\n\nInsert(insert: fn(UpsertIndex, v) -&gt; OrderedDict(k, v))\n\n\nSynonyms:\nordered_dict.Upsert\nordered_dict Upsert","url":"ordered_dict.html#Upsert"},{"doc":"ordered_dict","title":"UpsertIndex","content":"pub type UpsertIndex {\n  Start\n  End\n  Index(Int)\n}\n\nStart\n\n\nEnd\n\n\nIndex(Int)\n\n\nSynonyms:\nordered_dict.UpsertIndex\nordered_dict UpsertIndex","url":"ordered_dict.html#UpsertIndex"},{"doc":"ordered_dict","title":"backing_dict","content":"pub fn backing_dict(o_dict: OrderedDict(a, b)) -&gt; Dict(a, b)\n Get the internal unordered dict\nSynonyms:\nordered_dict.backing_dict\nordered_dict backing_dict","url":"ordered_dict.html#backing_dict"},{"doc":"ordered_dict","title":"delete","content":"pub fn delete(\n  from o_dict: OrderedDict(a, b),\n  delete key: a,\n) -&gt; OrderedDict(a, b)\n Creates a new dict from a given dict with all the same entries except for the\n one with a given key, if it exists.\n\n ## Examples\n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; delete(&quot;a&quot;)\n // -&gt; from_list([#(&quot;b&quot;, 1)])\n \n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; delete(&quot;c&quot;)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n\nSynonyms:\nordered_dict.delete\nordered_dict delete","url":"ordered_dict.html#delete"},{"doc":"ordered_dict","title":"delete_at","content":"pub fn delete_at(\n  from o_dict: OrderedDict(a, b),\n  at index: Int,\n) -&gt; OrderedDict(a, b)\n Creates a new dict from a given dict with all the same entries except for the\n one at a given index, if it exists.\n\n ## Examples\n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; delete_at(0)\n // -&gt; from_list([#(&quot;b&quot;, 1)])\n \n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; delete_at(2)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n\nSynonyms:\nordered_dict.delete_at\nordered_dict delete_at","url":"ordered_dict.html#delete_at"},{"doc":"ordered_dict","title":"delete_at_with_key","content":"pub fn delete_at_with_key(\n  from o_dict: OrderedDict(a, b),\n  at index: Int,\n  for key: a,\n) -&gt; OrderedDict(a, b)\n Creates a new dict from a given dict with all the same entries except for the\n one at a given index, if it exists and it is the specified key.\n\n ## Examples\n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; delete_at_with_key(0, &quot;a&quot;)\n // -&gt; from_list([#(&quot;b&quot;, 1)])\n \n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; delete_at_with_key(0, &quot;b&quot;)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; delete_at_with_key(1, &quot;a&quot;)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; delete_at_with_key(2, &quot;a&quot;)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n\nSynonyms:\nordered_dict.delete_at_with_key\nordered_dict delete_at_with_key","url":"ordered_dict.html#delete_at_with_key"},{"doc":"ordered_dict","title":"drop","content":"pub fn drop(\n  from o_dict: OrderedDict(a, b),\n  drop disallowed_keys: List(a),\n) -&gt; OrderedDict(a, b)\n Creates a new dict from a given dict with all the same entries except any with\n keys found in a given list.\n\n ## Examples\n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; drop([&quot;a&quot;])\n // -&gt; from_list([#(&quot;b&quot;, 1)])\n \n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; drop([&quot;c&quot;])\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; drop([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;])\n // -&gt; from_list([])\n \n\nSynonyms:\nordered_dict.drop\nordered_dict drop","url":"ordered_dict.html#drop"},{"doc":"ordered_dict","title":"each","content":"pub fn each(\n  o_dict: OrderedDict(a, b),\n  do fun: fn(a, b, Int) -&gt; c,\n) -&gt; Nil\n Calls a function for each key and value in order, discarding the return\n value.\n\n Useful for producing a side effect for every item of a dict.\n\n \n import gleam/io\n\n let dict = from_list([#(&quot;a&quot;, &quot;apple&quot;), #(&quot;b&quot;, &quot;banana&quot;), #(&quot;c&quot;, &quot;cherry&quot;)])\n\n each(dict, fn(k, v, _i) {\n   io.println(key &lt;&gt; &quot; =&gt; &quot; &lt;&gt; value)\n })\n // -&gt; Nil\n // a =&gt; apple\n // b =&gt; banana\n // c =&gt; cherry\n \n\nSynonyms:\nordered_dict.each\nordered_dict each","url":"ordered_dict.html#each"},{"doc":"ordered_dict","title":"filter","content":"pub fn filter(\n  in o_dict: OrderedDict(a, b),\n  keeping predicate: fn(a, b, Int) -&gt; Bool,\n) -&gt; OrderedDict(a, b)\n Creates a new ordered dict from a given ordered dict, minus any entries that a\n given function returns `False` for.\n\n ## Examples\n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n |&gt; filter(fn(key, value, _index) { value != 0 })\n // -&gt; from_list([#(&quot;b&quot;, 1)])\n \n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n |&gt; filter(fn(key, value, _index) { True })\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n\nSynonyms:\nordered_dict.filter\nordered_dict filter","url":"ordered_dict.html#filter"},{"doc":"ordered_dict","title":"fold","content":"pub fn fold(\n  over o_dict: OrderedDict(a, b),\n  from initial: c,\n  with fun: fn(c, a, b, Int) -&gt; c,\n) -&gt; c\n Combines all entries into a single value by calling a given function on each\n one in order.\n\n # Examples\n\n \n let dict = from_list([#(&quot;a&quot;, 1), #(&quot;b&quot;, 3), #(&quot;c&quot;, 9)])\n fold(dict, 0, fn(accumulator, key, value, _) { accumulator + value })\n // -&gt; 13\n \n\n \n import gleam/string\n\n let dict = from_list([#(&quot;a&quot;, 1), #(&quot;b&quot;, 3), #(&quot;c&quot;, 9)])\n fold(dict, &quot;&quot;, fn(accumulator, key, value, _) {\n   string.append(accumulator, key)\n })\n // -&gt; &quot;abc&quot;\n \n\nSynonyms:\nordered_dict.fold\nordered_dict fold","url":"ordered_dict.html#fold"},{"doc":"ordered_dict","title":"from_list","content":"pub fn from_list(entries: List(#(a, b))) -&gt; OrderedDict(a, b)\n Converts a list of 2-element tuples `#(key, value)` to an ordered dict.\n\n If two tuples have the same key the last one in the list will be the one\n that is present in the dict, and .\n\nSynonyms:\nordered_dict.from_list\nordered_dict from_list","url":"ordered_dict.html#from_list"},{"doc":"ordered_dict","title":"get","content":"pub fn get(\n  from o_dict: OrderedDict(a, b),\n  for key: a,\n) -&gt; Result(b, Nil)\n Fetches a value from a dict for a given key.\n\n The dict may not have a value for the key, so the value is wrapped in a\n `Result`.\n\n ## Examples\n\n \n new() |&gt; insert(&quot;a&quot;, 0) |&gt; get(&quot;a&quot;)\n // -&gt; Ok(0)\n \n\n \n new() |&gt; insert(&quot;a&quot;, 0) |&gt; get(&quot;b&quot;)\n // -&gt; Error(Nil)\n \n\nSynonyms:\nordered_dict.get\nordered_dict get","url":"ordered_dict.html#get"},{"doc":"ordered_dict","title":"get_at","content":"pub fn get_at(\n  from o_dict: OrderedDict(a, b),\n  at index: Int,\n) -&gt; Result(#(a, b), Nil)\n Fetches a `#(key, value)` entry from a dict at a given index.\n\n The dict may not have an entry for the index, so the entry is wrapped in a\n `Result`.\n\n ## Examples\n\n \n new() |&gt; insert(&quot;a&quot;, 0) |&gt; get_at(0)\n // -&gt; Ok(#(&quot;a&quot;,0))\n \n\n \n new() |&gt; insert(&quot;a&quot;, 0) |&gt; get_at(1)\n // -&gt; Error(Nil)\n \n\nSynonyms:\nordered_dict.get_at\nordered_dict get_at","url":"ordered_dict.html#get_at"},{"doc":"ordered_dict","title":"get_index","content":"pub fn get_index(\n  from o_dict: OrderedDict(a, b),\n  for key: a,\n) -&gt; Result(Int, Nil)\n Fetches an index from a dict for a given key.\n\n The dict may not have an index for the key, so the index is wrapped in a\n `Result`.\n\n ## Examples\n\n \n new() |&gt; insert(&quot;a&quot;, &quot;foo&quot;) |&gt; get(&quot;a&quot;)\n // -&gt; Ok(0)\n \n\n \n new() |&gt; insert(&quot;a&quot;, &quot;foo&quot;) |&gt; get(&quot;b&quot;)\n // -&gt; Error(Nil)\n \n\nSynonyms:\nordered_dict.get_index\nordered_dict get_index","url":"ordered_dict.html#get_index"},{"doc":"ordered_dict","title":"get_key_at","content":"pub fn get_key_at(\n  from o_dict: OrderedDict(a, b),\n  at index: Int,\n) -&gt; Result(a, Nil)\n Fetches a key from a dict at a given index.\n\n The dict may not have a key for the index, so the key is wrapped in a\n `Result`.\n\n ## Examples\n\n \n new() |&gt; insert(&quot;a&quot;, 0) |&gt; get_key_at(0)\n // -&gt; Ok(&quot;a&quot;)\n \n\n \n new() |&gt; insert(&quot;a&quot;, 0) |&gt; get_key_at(1)\n // -&gt; Error(Nil)\n \n\nSynonyms:\nordered_dict.get_key_at\nordered_dict get_key_at","url":"ordered_dict.html#get_key_at"},{"doc":"ordered_dict","title":"get_value_at","content":"pub fn get_value_at(\n  from o_dict: OrderedDict(a, b),\n  at index: Int,\n) -&gt; Result(b, Nil)\n Fetches a value from a dict at a given index.\n\n The dict may not have a value for the index, so the value is wrapped in a\n `Result`.\n\n ## Examples\n\n \n new() |&gt; insert(&quot;a&quot;, 0) |&gt; get_value_at(0)\n // -&gt; Ok(0)\n \n\n \n new() |&gt; insert(&quot;a&quot;, 0) |&gt; get_value_at(1)\n // -&gt; Error(Nil)\n \n\nSynonyms:\nordered_dict.get_value_at\nordered_dict get_value_at","url":"ordered_dict.html#get_value_at"},{"doc":"ordered_dict","title":"has_key","content":"pub fn has_key(o_dict: OrderedDict(a, b), key: a) -&gt; Bool\n Determines whether or not a value present in the dict for a given key.\n\n ## Examples\n\n \n new() |&gt; insert_end(&quot;a&quot;, 0) |&gt; has_key(&quot;a&quot;)\n // -&gt; True\n \n\n \n new() |&gt; insert_end(&quot;a&quot;, 0) |&gt; has_key(&quot;b&quot;)\n // -&gt; False\n \n\nSynonyms:\nordered_dict.has_key\nordered_dict has_key","url":"ordered_dict.html#has_key"},{"doc":"ordered_dict","title":"insert","content":"pub fn insert(\n  into o_dict: OrderedDict(a, b),\n  at index: Int,\n  for key: a,\n  value val: b,\n) -&gt; OrderedDict(a, b)\n Inserts a value into the dict with the given key and position.\n\n If the dict already has a value for the given key then the value is replaced with the new value,\n and the index updated.\n \n ## Examples\n \n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; insert(1, &quot;c&quot;, 2)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;c&quot;, 2), #(&quot;b&quot;, 1)])\n \n \nSynonyms:\nordered_dict.insert\nordered_dict insert","url":"ordered_dict.html#insert"},{"doc":"ordered_dict","title":"insert_end","content":"pub fn insert_end(\n  into o_dict: OrderedDict(a, b),\n  for key: a,\n  value val: b,\n) -&gt; OrderedDict(a, b)\n Inserts a value into the dict with the given key as the last item.\n\n If the dict already has a value for the given key then the value is replaced with the new value,\n and the index updated.\n \n ## Examples\n \n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; insert_end(&quot;c&quot;, 2)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1), #(&quot;c&quot;, 2)])\n \n \nSynonyms:\nordered_dict.insert_end\nordered_dict insert_end","url":"ordered_dict.html#insert_end"},{"doc":"ordered_dict","title":"is_empty","content":"pub fn is_empty(o_dict: OrderedDict(a, b)) -&gt; Bool\n Determines whether or not the dict is empty.\n\n ## Examples\n\n \n new() |&gt; is_empty\n // -&gt; True\n \n\n \n new() |&gt; insert_end(&quot;b&quot;, 1) |&gt; is_empty\n // -&gt; False\n \n\nSynonyms:\nordered_dict.is_empty\nordered_dict is_empty","url":"ordered_dict.html#is_empty"},{"doc":"ordered_dict","title":"keys","content":"pub fn keys(o_dict: OrderedDict(a, b)) -&gt; List(a)\n Gets a list of all keys in a given ordered dict in order.\n\n ## Examples\n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; keys\n // -&gt; [&quot;a&quot;, &quot;b&quot;]\n \n\nSynonyms:\nordered_dict.keys\nordered_dict keys","url":"ordered_dict.html#keys"},{"doc":"ordered_dict","title":"map_values","content":"pub fn map_values(\n  in o_dict: OrderedDict(a, b),\n  with fun: fn(a, b, Int) -&gt; c,\n) -&gt; OrderedDict(a, c)\n Updates all values in a given dict by calling a given function on each key,\n value and index.\n\n ## Examples\n\n \n from_list([#(3, 3), #(2, 4)])\n |&gt; map_values(fn(key, value, _index) { key * value })\n // -&gt; from_list([#(3, 9), #(2, 8)])\n \n\nSynonyms:\nordered_dict.map_values\nordered_dict map_values","url":"ordered_dict.html#map_values"},{"doc":"ordered_dict","title":"new","content":"pub fn new() -&gt; OrderedDict(a, b)\n\nSynonyms:\nordered_dict.new\nordered_dict new","url":"ordered_dict.html#new"},{"doc":"ordered_dict","title":"prepend","content":"pub fn prepend(\n  into o_dict: OrderedDict(a, b),\n  for key: a,\n  value val: b,\n) -&gt; OrderedDict(a, b)\n Inserts a value into the dict with the given key as the first item.\n\n If the dict already has a value for the given key then the value is replaced with the new value,\n and the index updated.\n \n ## Examples\n \n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; prepend(&quot;c&quot;, 2)\n // -&gt; from_list([#(&quot;c&quot;, 2), #(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n \nSynonyms:\nordered_dict.prepend\nordered_dict prepend","url":"ordered_dict.html#prepend"},{"doc":"ordered_dict","title":"reorder","content":"pub fn reorder(\n  in o_dict: OrderedDict(a, b),\n  from old_index: Int,\n  to new_index: Int,\n) -&gt; OrderedDict(a, b)\n Change the order of a specific item, shifting it from one index to another.\n \n ## Examples\n \n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1), #(&quot;c&quot;, 2)]) |&gt; reorder(2, 0)\n // -&gt; from_list([#(&quot;c&quot;, 2), #(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n \n The item will be removed and readded simultaneously, so the indices of all\n the items between old and new indices will shift by one.\n \n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1), #(&quot;c&quot;, 2), #(&quot;d&quot;, 3), #(&quot;e&quot;, 4), #(&quot;f&quot;, 5)]) |&gt; reorder(1, 3)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;c&quot;, 2), #(&quot;d&quot;, 3), #(&quot;b&quot;, 1), #(&quot;e&quot;, 4), #(&quot;f&quot;, 5)])\n \n \n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1), #(&quot;c&quot;, 2), #(&quot;d&quot;, 3), #(&quot;e&quot;, 4), #(&quot;f&quot;, 5)]) |&gt; reorder(4, 2)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1), #(&quot;e&quot;, 4), #(&quot;c&quot;, 2), #(&quot;d&quot;, 3), #(&quot;f&quot;, 5)])\n \n \nSynonyms:\nordered_dict.reorder\nordered_dict reorder","url":"ordered_dict.html#reorder"},{"doc":"ordered_dict","title":"size","content":"pub fn size(o_dict: OrderedDict(a, b)) -&gt; Int\n Determines the number of key-value pairs in the dict.\n This function runs in constant time and does not need to iterate the dict.\n\n ## Examples\n\n \n new() |&gt; size\n // -&gt; 0\n \n\n \n new() |&gt; insert_end(&quot;key&quot;, &quot;value&quot;) |&gt; size\n // -&gt; 1\n \n\nSynonyms:\nordered_dict.size\nordered_dict size","url":"ordered_dict.html#size"},{"doc":"ordered_dict","title":"take","content":"pub fn take(\n  from o_dict: OrderedDict(a, b),\n  keeping desired_keys: List(a),\n) -&gt; OrderedDict(a, b)\n Creates a new ordered dict from a given ordered dict, only including any entries\n for which the keys are in a given list.\n\n ## Examples\n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n |&gt; take([&quot;b&quot;])\n // -&gt; from_list([#(&quot;b&quot;, 1)])\n \n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n |&gt; take([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;])\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)])\n \n\nSynonyms:\nordered_dict.take\nordered_dict take","url":"ordered_dict.html#take"},{"doc":"ordered_dict","title":"to_list","content":"pub fn to_list(o_dict: OrderedDict(a, b)) -&gt; List(#(a, b))\n Converts the dict to an ordered list of 2-element tuples `#(key, value)`,\n one for each key-value pair in the dict.\n\n ## Examples\n\n Calling `to_list` on an empty `dict` returns an empty list.\n\n \n new() |&gt; to_list\n // -&gt; []\n \n\n The tuples will be ordered as specified\n\n \n new() |&gt; insert_end(&quot;b&quot;, 1) |&gt; insert_end(&quot;a&quot;, 0) |&gt; insert_at(0, &quot;c&quot;, 2) |&gt; to_list\n // -&gt; [#(&quot;c&quot;, 2), #(&quot;b&quot;, 1), #(&quot;a&quot;, 0)]\n \n\nSynonyms:\nordered_dict.to_list\nordered_dict to_list","url":"ordered_dict.html#to_list"},{"doc":"ordered_dict","title":"to_list_indexed","content":"pub fn to_list_indexed(\n  o_dict: OrderedDict(a, b),\n) -&gt; List(#(Int, a, b))\n Converts the dict to an ordered list of 2-element tuples `#(key, value)`,\n one for each key-value pair in the dict.\n\n ## Examples\n\n Calling `to_list` on an empty `dict` returns an empty list.\n\n \n new() |&gt; to_list\n // -&gt; []\n \n\n The tuples will be ordered as specified\n\n \n new() |&gt; insert_end(&quot;b&quot;, 1) |&gt; insert_end(&quot;a&quot;, 0) |&gt; insert_at(0, &quot;c&quot;, 2) |&gt; to_list\n // -&gt; [#(&quot;c&quot;, 2), #(&quot;b&quot;, 1), #(&quot;a&quot;, 0)]\n \n\nSynonyms:\nordered_dict.to_list_indexed\nordered_dict to_list_indexed","url":"ordered_dict.html#to_list_indexed"},{"doc":"ordered_dict","title":"upsert","content":"pub fn upsert(\n  in o_dict: OrderedDict(a, b),\n  update key: a,\n  with fun: fn(Upsert(a, b)) -&gt; OrderedDict(a, b),\n) -&gt; OrderedDict(a, b)\n Creates a new dict with one entry inserted at the end or updated using a given function.\n\n If there was not an entry in the dict for the given key then the function\n gets `Insert` as its argument, otherwise it gets `Update(value)`.\n\n ## Example\n\n \n let dict = from_list([#(&quot;a&quot;, 0)])\n let increment = fn(x) {\n   case x {\n     Update(i, update) -&gt; update(i + 1)\n     Insert(insert) -&gt; insert(End, 0)\n   }\n }\n\n upsert(dict, &quot;a&quot;, increment)\n // -&gt; from_list([#(&quot;a&quot;, 1)])\n\n upsert(dict, &quot;b&quot;, increment)\n // -&gt; from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 0)])\n \n\nSynonyms:\nordered_dict.upsert\nordered_dict upsert","url":"ordered_dict.html#upsert"},{"doc":"ordered_dict","title":"values","content":"pub fn values(o_dict: OrderedDict(a, b)) -&gt; List(b)\n Gets an ordered list of all values in a given ordered dict.\n\n ## Examples\n\n \n from_list([#(&quot;a&quot;, 0), #(&quot;b&quot;, 1)]) |&gt; values\n // -&gt; [0, 1]\n \n\nSynonyms:\nordered_dict.values\nordered_dict values","url":"ordered_dict.html#values"},{"doc":"ordered_dict","title":"ordered_dict","content":"","url":"ordered_dict.html"}]);